Bug 1630799 - Review Request: python2-matplotlib - Python 2D plotting library
Summary: Review Request: python2-matplotlib - Python 2D plotting library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-19 10:07 UTC by Miro Hrončok
Modified: 2019-01-13 10:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-13 10:30:27 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-19 10:07:48 UTC
Spec URL: https://src.fedoraproject.org/fork/churchyard/rpms/python-matplotlib/raw/py2only/f/python2-matplotlib.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python2-matplotlib-2.2.3-2.fc30.src.rpm

Description: 
Matplotlib is a python 2D plotting library which produces publication
quality figures in a variety of hardcopy formats and interactive
environments across platforms. matplotlib can be used in python
scripts, the python and ipython shell, web application servers, and
six graphical user interface toolkits.

Matplotlib tries to make easy things easy and hard things possible.
You can generate plots, histograms, power spectra, bar charts,
errorcharts, scatterplots, etc, with just a few lines of code.



Fedora Account System Username: churchyard

Notes:

This is a package rename/split from python-matplotlib, hence an exception to the deprecation rule. It also currently conflicts. I won't build it before python2-matplotlib is removed from python-matplotlib.

See https://src.fedoraproject.org/rpms/python-matplotlib/pull-request/9

Diff from python-matplotlib is at https://src.fedoraproject.org/rpms/python-matplotlib/pull-request/10

Scratchbuild at: https://koji.fedoraproject.org/koji/taskinfo?taskID=29762147

Comment 1 Robert-André Mauchin 2018-09-19 13:16:33 UTC
 - why not use %py2_build for %{__python2} setup.py build
 and %py2_install for %{__python2} setup.py install -O1 --skip-build --root=%{buildroot}  ?

Comment 2 Miro Hrončok 2018-09-19 14:00:54 UTC
Because it's a straight copy-paste of the old spec.

I can do that.

Comment 3 Miro Hrončok 2018-09-19 14:13:30 UTC
It's a bit problematic with the xvfb-run. Let's keep it how it is.

Comment 4 Robert-André Mauchin 2018-09-19 15:09:17 UTC
 - Add OFL to the license field for the included fonts and add a comment specifying it's for the STIX font:

SIL
---
matplotlib-2.2.3/lib/matplotlib/mpl-data/fonts/ttf/STIXNonUniBol.ttf
matplotlib-2.2.3/lib/matplotlib/mpl-data/fonts/ttf/STIXSizFiveSymReg.ttf
matplotlib-2.2.3/lib/matplotlib/mpl-data/fonts/ttf/STIXSizFourSymBol.ttf
matplotlib-2.2.3/lib/matplotlib/mpl-data/fonts/ttf/STIXSizOneSymBol.ttf
matplotlib-2.2.3/lib/matplotlib/mpl-data/fonts/ttf/STIXSizOneSymReg.ttf
matplotlib-2.2.3/lib/matplotlib/mpl-data/fonts/ttf/STIXSizThreeSymBol.ttf
matplotlib-2.2.3/lib/matplotlib/mpl-data/fonts/ttf/STIXSizThreeSymReg.ttf
matplotlib-2.2.3/lib/matplotlib/mpl-data/fonts/ttf/STIXSizTwoSymBol.ttf
matplotlib-2.2.3/lib/matplotlib/mpl-data/fonts/ttf/STIXSizTwoSymReg.ttf

SIL (v1.1)
----------
matplotlib-2.2.3/lib/matplotlib/mpl-data/fonts/ttf/LICENSE_STIX
matplotlib-2.2.3/lib/matplotlib/tests/cmr10.pfb

 - Also patching only on some arch is normally not allowed. (ifarch-applied-patch). The arch detection should be in the code itself.



Anyway, package is approved. Fix the license issaue before import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* NTP", "Unknown or generated",
     "*No copyright* GPL", "MIT/X11 (BSD like)", "NTP", "SIL (v1.1)",
     "CC0", "BSD (unspecified)", "*No copyright* BSD (unspecified)", "BSD
     (3 clause)", "*No copyright* Adobe Postscript AFM", "SIL", "BSD (3
     clause) LGPL (v2.1 or later)". 3935 files have unknown license.
     Detailed output of licensecheck in
     /home/bob/packaging/review/python2-matplotlib/review-
     python2-matplotlib/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/python2-matplotlib
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -matplotlib-data , python2-matplotlib-data-fonts , python2-matplotlib-
     debuginfo , python2-matplotlib-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[ ]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2140160 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-matplotlib-2.2.3-2.fc30.x86_64.rpm
          python2-matplotlib-qt4-2.2.3-2.fc30.x86_64.rpm
          python2-matplotlib-qt5-2.2.3-2.fc30.x86_64.rpm
          python2-matplotlib-gtk-2.2.3-2.fc30.x86_64.rpm
          python2-matplotlib-gtk3-2.2.3-2.fc30.x86_64.rpm
          python2-matplotlib-tk-2.2.3-2.fc30.x86_64.rpm
          python2-matplotlib-wx-2.2.3-2.fc30.x86_64.rpm
          python2-matplotlib-test-data-2.2.3-2.fc30.x86_64.rpm
          python2-matplotlib-doc-2.2.3-2.fc30.x86_64.rpm
          python2-matplotlib-data-2.2.3-2.fc30.noarch.rpm
          python2-matplotlib-data-fonts-2.2.3-2.fc30.noarch.rpm
          python2-matplotlib-debuginfo-2.2.3-2.fc30.x86_64.rpm
          python2-matplotlib-debugsource-2.2.3-2.fc30.x86_64.rpm
          python2-matplotlib-2.2.3-2.fc30.src.rpm
python2-matplotlib.x86_64: W: spelling-error %description -l en_US hardcopy -> hard copy, hard-copy, hardcore
python2-matplotlib.x86_64: W: spelling-error %description -l en_US ipython -> python, i python, Python
python2-matplotlib.x86_64: W: spelling-error %description -l en_US errorcharts -> error charts, error-charts, charterers
python2-matplotlib.x86_64: W: spelling-error %description -l en_US scatterplots -> scatter plots, scatter-plots, scatterbrains
python2-matplotlib.x86_64: W: dangling-relative-symlink /usr/lib/.build-id/6e/03bba85b1b5076e6fc0f6e6b5e4518256fbddb ../../../../usr/lib64/python2.7/site-packages/matplotlib/backends/_gtkagg.so
python2-matplotlib.x86_64: W: dangling-relative-symlink /usr/lib/.build-id/bc/a6ca5b4699e77ed07060016b10d3449dc616fb ../../../../usr/lib64/python2.7/site-packages/matplotlib/backends/_tkagg.so
python2-matplotlib-qt4.x86_64: W: no-documentation
python2-matplotlib-qt5.x86_64: W: no-documentation
python2-matplotlib-gtk.x86_64: W: no-documentation
python2-matplotlib-gtk3.x86_64: W: no-documentation
python2-matplotlib-tk.x86_64: W: no-documentation
python2-matplotlib-wx.x86_64: W: spelling-error Summary(en_US) wxPython -> python, Python
python2-matplotlib-wx.x86_64: W: summary-not-capitalized C wxPython backend for python2-matplotlib
python2-matplotlib-wx.x86_64: W: spelling-error %description -l en_US wxPython -> python, Python
python2-matplotlib-wx.x86_64: W: no-documentation
python2-matplotlib-test-data.x86_64: W: no-documentation
python2-matplotlib-data.noarch: W: no-documentation
python2-matplotlib-data.noarch: W: non-conffile-in-etc /etc/python2-matplotlibrc
python2-matplotlib-data-fonts.noarch: W: no-documentation
python2-matplotlib.src: W: spelling-error %description -l en_US hardcopy -> hard copy, hard-copy, hardcore
python2-matplotlib.src: W: spelling-error %description -l en_US ipython -> python, i python, Python
python2-matplotlib.src: W: spelling-error %description -l en_US errorcharts -> error charts, error-charts, charterers
python2-matplotlib.src: W: spelling-error %description -l en_US scatterplots -> scatter plots, scatter-plots, scatterbrains
python2-matplotlib.src:123: W: unversioned-explicit-provides bundled(stix-math-fonts)
python2-matplotlib.src:127: W: unversioned-explicit-provides bundled(ttconv)
python2-matplotlib.src:130: W: unversioned-explicit-provides bundled(texlive-helvetic)
python2-matplotlib.src: W: %ifarch-applied-patch Patch1002: 0002-Increase-tolerances-for-non-x86_64-arches.patch
python2-matplotlib.src: W: %ifarch-applied-patch Patch1003: 0003-Increase-some-tolerances-for-32-bit-systems.patch
python2-matplotlib.src: W: %ifarch-applied-patch Patch1004: 0003-Increase-some-tolerances-for-non-x86-arches.patch
14 packages and 0 specfiles checked; 0 errors, 29 warnings.

Comment 5 Miro Hrončok 2018-09-19 15:50:27 UTC
Adding:


%if %{with_bundled_fonts}
%package -n python2-matplotlib-data-fonts

# STIX and Computer Modern is OFL
# DejaVu is Bitstream Vera and Public Domain
License:        OFL and Bitstream Vera and Public Domain and

Comment 6 Miro Hrončok 2018-09-19 15:51:01 UTC
Without the last "and".

Thanks for the review.

Comment 7 Lumír Balhar 2018-10-23 16:00:31 UTC
Can I use this bug as a blocker for another one? I need to rebuild something in rawhide what depends on python2-matplotlib which is not available now.

Comment 8 Miro Hrončok 2018-10-23 17:00:12 UTC
Please file a bug against python2-matplotlib.

Comment 9 Miro Hrončok 2019-01-13 10:30:27 UTC
Long time ago.


Note You need to log in before you can comment on or make changes to this bug.